使用protobuf的时候,require报错

用工具生成自己的proto.js 之后,把他和库文件protobuf.js 放在一个目录下了。
proto.js里面,第一行代码就是:var $protobuf = require("protobuf");
 
运行的时候报错:require is not defined
请教各位大神,这个怎么处理?
企业微信截图_15851226208614.png
已邀请:

vvv123

赞同来自:

删掉不影响,直接把protobufjs库里的protobuf暴露给window

技术A恒

赞同来自:

在index.html的js中加入require=window.loadLib

要回复问题请先

商务合作
商务合作